UPTERM(1)

NAME
upterm-proxy - Proxy a terminal session via WebSocket

SYNOPSIS
upterm proxy [flags]

DESCRIPTION
Proxy a terminal session via WebSocket, to be used alongside SSH ProxyCommand.

OPTIONS
-h, --help[=false]
    help for proxy

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    enable debug level logging (log file: /root/.upterm/upterm.log).

EXAMPLE
      # Host shares a session running $SHELL over WebSocket:
      upterm host --server wss://uptermd.upterm.dev -- YOUR_COMMAND
      # Client connects to the host session via WebSocket:
      ssh -o ProxyCommand='upterm proxy wss://TOKEN@uptermd.upterm.dev' TOKEN:uptermd.uptermd.dev:443

SEE ALSO
upterm(1)

HISTORY
1-Aug-2026 Auto generated by spf13/cobra